Debian Bug report logs - #610739
Preseed: Debian Installer ignores grub-legacy

version graph

Package: installation-guide; Maintainer for installation-guide is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Dennis Hoppe <dennis.hoppe@credativ.de>

Date: Fri, 21 Jan 2011 22:48:01 UTC

Severity: wishlist

Fixed in version installation-guide/20110122

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610739; Package debian-installer. (Fri, 21 Jan 2011 22:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis Hoppe <dennis.hoppe@credativ.de>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 21 Jan 2011 22:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dennis Hoppe <dennis.hoppe@credativ.de>
To: submit@bugs.debian.org
Subject: Preseed: Debian Installer ignores grub-legacy
Date: Fri, 21 Jan 2011 23:44:23 +0100
[Message part 1 (text/plain, inline)]
Package: debian-installer
Version: 20110106+b1
Severity: wishlist

Hello,

i have found another bug. The Debian Installer ignores the parameter
"d-i grub-installer/grub2_instead_of_grub_legacy" and installs grub2
instead of grub-legacy.

Regards, Dennis
[server.cfg (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'debian-installer' to 'installation-guide'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 22 Jan 2011 04:12:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions debian-installer/20110106. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Sat, 22 Jan 2011 04:12:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 19:06:08 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Mon, 24 Jan 2011 12:21:17 GMT) Full text and rfc822 format available.

Notification sent to Dennis Hoppe <dennis.hoppe@credativ.de>:
Bug acknowledged by developer. (Mon, 24 Jan 2011 12:21:17 GMT) Full text and rfc822 format available.

Message #16 received at 610739-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 610739-close@bugs.debian.org
Subject: Bug#610739: fixed in installation-guide 20110122
Date: Mon, 24 Jan 2011 12:17:52 +0000
Source: installation-guide
Source-Version: 20110122

We believe that the bug you reported is fixed in the latest version of
installation-guide, which is due to be installed in the Debian FTP archive:

installation-guide-amd64_20110122_all.deb
  to main/i/installation-guide/installation-guide-amd64_20110122_all.deb
installation-guide-armel_20110122_all.deb
  to main/i/installation-guide/installation-guide-armel_20110122_all.deb
installation-guide-hppa_20110122_all.deb
  to main/i/installation-guide/installation-guide-hppa_20110122_all.deb
installation-guide-i386_20110122_all.deb
  to main/i/installation-guide/installation-guide-i386_20110122_all.deb
installation-guide-ia64_20110122_all.deb
  to main/i/installation-guide/installation-guide-ia64_20110122_all.deb
installation-guide-kfreebsd-amd64_20110122_all.deb
  to main/i/installation-guide/installation-guide-kfreebsd-amd64_20110122_all.deb
installation-guide-kfreebsd-i386_20110122_all.deb
  to main/i/installation-guide/installation-guide-kfreebsd-i386_20110122_all.deb
installation-guide-mips_20110122_all.deb
  to main/i/installation-guide/installation-guide-mips_20110122_all.deb
installation-guide-mipsel_20110122_all.deb
  to main/i/installation-guide/installation-guide-mipsel_20110122_all.deb
installation-guide-powerpc_20110122_all.deb
  to main/i/installation-guide/installation-guide-powerpc_20110122_all.deb
installation-guide-s390_20110122_all.deb
  to main/i/installation-guide/installation-guide-s390_20110122_all.deb
installation-guide-sparc_20110122_all.deb
  to main/i/installation-guide/installation-guide-sparc_20110122_all.deb
installation-guide_20110122.dsc
  to main/i/installation-guide/installation-guide_20110122.dsc
installation-guide_20110122.tar.gz
  to main/i/installation-guide/installation-guide_20110122.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610739@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated installation-guide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 22 Jan 2011 13:16:49 +0100
Source: installation-guide
Binary: installation-guide-amd64 installation-guide-armel installation-guide-hppa installation-guide-i386 installation-guide-ia64 installation-guide-kfreebsd-amd64 installation-guide-kfreebsd-i386 installation-guide-mips installation-guide-mipsel installation-guide-powerpc installation-guide-s390 installation-guide-sparc
Architecture: source all
Version: 20110122
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 installation-guide-amd64 - Debian installation guide for amd64
 installation-guide-armel - Debian installation guide for armel
 installation-guide-hppa - Debian installation guide for hppa
 installation-guide-i386 - Debian installation guide for i386
 installation-guide-ia64 - Debian installation guide for ia64
 installation-guide-kfreebsd-amd64 - Debian installation guide for kFreeBSD amd64
 installation-guide-kfreebsd-i386 - Debian installation guide for kFreeBSD i386
 installation-guide-mips - Debian installation guide for mips
 installation-guide-mipsel - Debian installation guide for mipsel
 installation-guide-powerpc - Debian installation guide for powerpc
 installation-guide-s390 - Debian installation guide for s390
 installation-guide-sparc - Debian installation guide for sparc
Closes: 518808 579954 597983 599772 601308 603159 606725 610739
Changes: 
 installation-guide (20110122) unstable; urgency=low
 .
   [ Frans Pop ]
   * List myself as one of the main authors in the administrativa appendix.
   * Clarify IP addresses in example for booting SS4000-E (arm). Thanks to
     Miroslav Kure for the patch.
   * Add link to boot screen section in accessibility section. Closes: #579954.
 .
   [ Martin Michlmayr ]
   * Update links for ARM images.
 .
   [ Samuel Thibault ]
   * Update brltty version.
   * Document booting from DOS (Closes: Bug#518808).
   * Add non-Linux infrastructure to the build system.
   * Add kFreeBSD infrastructure.
   * Replace Linuxish bits with per-port entities.
   * Rephrase Hurd-specific paragraph explaining that Debian GNU/Hurd is not
     Linux.
   * Add a "What is Debian GNU/kFreeBSD" section.
   * Add the list of architectures supported by the kFreeBSD port.
   * Restrict "Board Devices" accessibility section to Linux.
   * Fix port URL for non-Linux ports.
   * Fix "hardware" part for non-Linux ports. Now needs fine-tune from BSD
     people.
   * Fix "boot-installer" part for non-Linux ports. Still needs extensive
     review from BSD people.
   * Fix "preparing", "using-d-i", "boot-new", "post-install", "howto",
     "preseed", "partitioning", and "random-bits" parts for non-Linux ports.
   * Factorize os-specific parameters in build/arch-options.
   * Rename debian entity to debian-gnu. Introduce new debian entity which just
     stands for "Debian".
   * Rename Mandrake into Mandriva (Closes: Bug#601308).
   * Update installation sizes for amd64 instead of i386.
   * Mention Windows 2003, Vista, and 7.
   * Fix graphical boot options.
   * Move user setup to before clock setup in "Using the Debian Installer" and
     "Automating the installation using preseeding".
   * Document dpkg-reconfigure keyboard-configuration instead of kbd-config.
   * Add installation-guide-kfreebsd-{i386,amd64} packages.
   * Reference Debian Installer modules documentation from the preseed section
     (Closes: Bug#603159).
   * Move boot parameters subsections from inside the debian installer parameters
     section, to which they don't really belong.
   * Make subsection Installation Over the Network a direct child of Using
     Individual Components instead of hiding it in "Miscellaneous".
   * Rename 6.3.8 "Miscellaneous" into "Troubleshooting".
   * Fix default tftp directory from /var/lib/tftpboot to /srv/tftp, thanks
     Charles Plessy (Closes: Bug#606725).
   * Enable Spanish and Swedish translations (almost up-to-date).
   * Reword i386 and amd64 arch names to be consistent with the corresponding
     release-notes change: Intel x86 → 32-bit PC, AMD64 → 64-bit PC.
   * Add keyboard-configuration/xkb-keymap preseed variable.
     (Closes: Bug#599772)
 .
   [ Joey Hess ]
   * Update USB stick documentation to reflect isohybird mini.iso files,
     as generated by debian-installer >= 20100913.
 .
   [ Christian Perrier ]
   * Remove obsolete reference to the replicator package
     Closes: #597983
 .
   [ Maximilian Attems ]
   * Remove obsolete reference to kernel-img.conf
 .
   [ Colin Watson ]
   * Fix "/etc/init.d/dhcpd3-server" typo (should be
     /etc/init.d/dhcp3-server), and unfuzzy all translations (LP: #666726).
 .
   [ Joey Hess ]
   * Updated USB stick documentation to describe the much simpler, more
     flexible, and likely more robust use of isohybrid images. All i386
     and amd64 ISO images are now isohybrid.
   * Remove documentation of no longer supported
     grub-installer/grub2_instead_of_grub_legacy preseed. Closes: #610739
Checksums-Sha1: 
 8f8c1187fc831fa81b89843a27d3a33e04dcb000 2269 installation-guide_20110122.dsc
 0f751279513463128eaa4f7ba354592644b92783 7569363 installation-guide_20110122.tar.gz
 0545803afbcae9d211a00dc5c292f1ac726f67fc 15273050 installation-guide-amd64_20110122_all.deb
 ce75b03f826a0b91c9903891b3c1a6d4fb6a392f 13038476 installation-guide-armel_20110122_all.deb
 812984a9f383fc325aecf0ea902c27ca1a755d7e 12568834 installation-guide-hppa_20110122_all.deb
 b11b69642b11296dd93129874a769b1d327b3c8e 15368574 installation-guide-i386_20110122_all.deb
 ba1314e7bd619dd22ae993a8afd41940fcae867a 13427058 installation-guide-ia64_20110122_all.deb
 c73908a213ad34fae3c7c39e6546db092a56c51e 13820352 installation-guide-kfreebsd-amd64_20110122_all.deb
 3f83450ea0d36003e86471a94f9d99c75e824ebc 13801344 installation-guide-kfreebsd-i386_20110122_all.deb
 22e6bd17bcbb83e7bf23d12e141fe233e89cf598 12633762 installation-guide-mips_20110122_all.deb
 3b2e65c0afb22f64bed304a1b55e57dba6fffd07 12602016 installation-guide-mipsel_20110122_all.deb
 3c74ae3a8c0027d23ee31d349a6bb48fbae72251 14404362 installation-guide-powerpc_20110122_all.deb
 33d6f4cd2691e247b85345ba21c2636e24599f2b 11587754 installation-guide-s390_20110122_all.deb
 b45f54b617c5b5ee37b98ff5fb54281f9a75d6ad 13232220 installation-guide-sparc_20110122_all.deb
Checksums-Sha256: 
 4e3560b49a5a23e07f5175382eaf57d8d4e7f19f0146d64287cc576019d08bc7 2269 installation-guide_20110122.dsc
 6a5caa08f87869c22120f9b07dd3c9971da50ca84b2b6bf5c1a031739e828220 7569363 installation-guide_20110122.tar.gz
 b918f1270e3e6d2a9130258ff8f56d9ab7d5c8c1365044d91eac49172092acd9 15273050 installation-guide-amd64_20110122_all.deb
 b3875c92098373547a318b591cb0a10482d18672a7eb9c899af9f53cd786b7de 13038476 installation-guide-armel_20110122_all.deb
 37bb04165987bcca85c73eacf8a246ebcd87220b09c8ac226c8aeb9f40145082 12568834 installation-guide-hppa_20110122_all.deb
 af448dff27d1770e47ffccb748b206f7d23b688a4783041eba7aec0d114e2430 15368574 installation-guide-i386_20110122_all.deb
 04af4a735d5778ae4f852694fe0ca5051bea4d4c294231ad4d0bf0167e2f867a 13427058 installation-guide-ia64_20110122_all.deb
 53f53760aa29834bdec1aa4ac41afa386086b222ab9a6109588238a20546d7f3 13820352 installation-guide-kfreebsd-amd64_20110122_all.deb
 7a52118a04a28b31cfe442a2ebf956c2ff7f113f74489c04b51bfbbc5033ab33 13801344 installation-guide-kfreebsd-i386_20110122_all.deb
 56190e80f5ff1ae245155d9e852f2463f7f484c9344c286ee170a613d04f5788 12633762 installation-guide-mips_20110122_all.deb
 470038727b6442b6f6e1e61d88f9c1dd15d5da59a7978bd055a789c77e4b2d25 12602016 installation-guide-mipsel_20110122_all.deb
 1830858189659552723cc5abc53ad115269963960bf5fdcd2053f73e0f8b5efc 14404362 installation-guide-powerpc_20110122_all.deb
 78a87463baeff52a4826268d500e23f1cb11a24ca8404e86b038e7db11bcb0fa 11587754 installation-guide-s390_20110122_all.deb
 d01f60f3591f09695107f3b034eb5cde652addb8a2ffaf01f0a08ca8abd20fff 13232220 installation-guide-sparc_20110122_all.deb
Files: 
 9adb8e085d3c8f9e2eef5ee860c0123d 2269 doc optional installation-guide_20110122.dsc
 8b49c5342f12e51e0964a32c61f1dcbb 7569363 doc optional installation-guide_20110122.tar.gz
 31636fd275c48357640cb8b1ee8cee1e 15273050 doc optional installation-guide-amd64_20110122_all.deb
 2f2efa75ea0189909147303af7725697 13038476 doc optional installation-guide-armel_20110122_all.deb
 9f6147aa56e9edc1f24d70b42c6d2e6d 12568834 doc optional installation-guide-hppa_20110122_all.deb
 b431bc6f65fd268238c25a216f1447ff 15368574 doc optional installation-guide-i386_20110122_all.deb
 2f778aa64ea574bc5c51ff09176afb71 13427058 doc optional installation-guide-ia64_20110122_all.deb
 7d13e868e95b6f4a27cd54925ec3656b 13820352 doc optional installation-guide-kfreebsd-amd64_20110122_all.deb
 fd3a3afe0ac775f8939ec88e391a342d 13801344 doc optional installation-guide-kfreebsd-i386_20110122_all.deb
 07baf28c4d0f81042f438eab9aa78fc0 12633762 doc optional installation-guide-mips_20110122_all.deb
 0688d39cc40e502180d80eb09a0876b1 12602016 doc optional installation-guide-mipsel_20110122_all.deb
 acff968db9aafa9a949eddd3d1214eca 14404362 doc optional installation-guide-powerpc_20110122_all.deb
 cbb066e6acedad34bcd3ec0fb0f5f2ae 11587754 doc optional installation-guide-s390_20110122_all.deb
 bbefd8386e3e235f0246344869f53d01 13232220 doc optional installation-guide-sparc_20110122_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBTTxegYcvcCxNbiWoAQJJ7xAAtFsp91ZShTu8dKxMLD9dDQNHLv+1hYAD
m+XBgymY4GuXp0IqC9OuiOLN/g8U+X3IYcR2kZk2KQ9ivWyJTUBK2M5dWcr8VBQn
pBXfsRy5GhaBaT8DEu1RpiTUDnypOfvzM66qXj+lE1VGu1t/5+SLs2ITC1WY2yOK
izPaRouAtS+NHOM1bMINEXM7NX2Hy0XhzlZTVGV3AilFp+Mxee5/GtSfh7uM3hrs
FOjmQWb6b4fCOr6ozI7dhOapLbANjRa0roUtrpDJ2WgDX0rP+FnX6dzACb2zguXR
0Wi0XbUyaQPXtwcj9ZpZdSWUNYeoOdY87UnFKpXQMdT0gMf0AjfBqkqxuSHjOhTv
tXLjp7GRAEUAa4ndpAZSMCyeiy4xOiUp8O61l1hq0f1loi+dF5PLsjbZ9lnoi6Bf
b6v5JvY3VuFjN8hsW9Q0U7mSt0gxx/fLmDJXHrARJUA2wwAimoKWXSQvF4qz7/Lq
UJIcV0d70MSyr1hdnoKztg2jSqQUe8BOIq65fZf2ANqmrt1/1uLfC7hMXmkTMVLU
WQrw7hqHdqOgpmmlTr033IQoWh3t7eDYI2qwVP35TVOuH6MvouWq+IMA0zXDFiUC
3sacWRY/xtd+8PqUH1CK3jCAPLD/AMmXYwrA+DWc0C4tN4/aRz10llwg2hCkHWy+
wmdbgDeL3jo=
=0XhN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:48:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:09:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.